<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{A9451AA4-024F-4706-A9A3-3849C0AFD7FE}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
    <SccProjectName>"$/Viper/VPCmdIF", XSJCAAAA</SccProjectName>
    <SccLocalPath>..</SccLocalPath>
    <SccProvider>MSSCCI:Microsoft Visual SourceSafe</SccProvider>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\lib\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\lib\</IntDir>
    <TargetName>VPcmdIF</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\lib\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\lib\</IntDir>
    <TargetName>VPcmdIF</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\lib\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\lib\</IntDir>
    <TargetName>VPcmdIF</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\lib\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\lib\</IntDir>
    <TargetName>VPcmdIF</TargetName>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>VPSERIO_STATIC;VPUSB_STATIC;WIN32;_DEBUG;_WINDOWS;VPCMD_STATIC;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <Optimization>Disabled</Optimization>
    </ClCompile>
    <Link>
      <TargetMachine>MachineX86</TargetMachine>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
    </Link>
    <Lib>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib</AdditionalDependencies>
    </Lib>
    <Lib>
      <Verbose>true</Verbose>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
    </Lib>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>VPSERIO_STATIC;VPUSB_STATIC;WIN32;NDEBUG;_WINDOWS;VPCMD_STATIC;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <TargetMachine>MachineX86</TargetMachine>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Lib>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib</AdditionalDependencies>
    </Lib>
    <Lib>
      <Verbose>true</Verbose>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
    </Lib>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Lib>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib</AdditionalDependencies>
    </Lib>
    <ClCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;VPCMD_STATIC;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <Optimization>Disabled</Optimization>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Lib>
      <Verbose>true</Verbose>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
    </Lib>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Lib>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib</AdditionalDependencies>
    </Lib>
    <ClCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;VPCMD_STATIC;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Lib>
      <Verbose>true</Verbose>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
    </Lib>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="dllmain.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="LogFile.cpp" />
    <ClCompile Include="PDebug.cpp" />
    <ClCompile Include="stdafx.cpp" />
    <ClCompile Include="VPCmdIF.cpp" />
    <ClCompile Include="VPcontext.cpp" />
    <ClCompile Include="VPdevIO.cpp" />
    <ClCompile Include="VPif.cpp" />
    <ClCompile Include="VPmat3x3.cpp" />
    <ClCompile Include="VPmathUT.cpp" />
    <ClCompile Include="VPTrace.cpp" />
    <ClCompile Include="VPtypesUT.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="CriticalSection.h" />
    <ClInclude Include="inc\ViperInterface-working.h" />
    <ClInclude Include="inc\ViperInterface.h" />
    <ClInclude Include="inc\VPcmdDefs.h" />
    <ClInclude Include="inc\VPcmdErr.h" />
    <ClInclude Include="inc\VPCmdIF.h" />
    <ClInclude Include="inc\VPif.h" />
    <ClInclude Include="inc\VPtrace.h" />
    <ClInclude Include="LogFile.h" />
    <ClInclude Include="PDebug.h" />
    <ClInclude Include="PTTypeDefs.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="targetver.h" />
    <ClInclude Include="VPcmdDefsi.h" />
    <ClInclude Include="VPcontext.h" />
    <ClInclude Include="VPdevIO.h" />
    <ClInclude Include="VPmat3x3.h" />
    <ClInclude Include="VPmathUT.h" />
    <ClInclude Include="VPtracei.h" />
    <ClInclude Include="VPtypesUT.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>